//----------------------------------------------------------------------------
// pacman-like game
// copyright 2010 christopher rasmussen
// university of delaware
// v. 1.06
// * added score/time elapsed drawing
// * crossover collisions now detected
// * added wind terrain
// * added blue_ghost_wait_counter
// * starting to move functions, variables over to GameState class; making it const in call to update()
// * added "-blue" option for blue ghosts/no blue ghosts; saving .lay; new quit key
// * moved MazeRunner class stuff to MazeRunner.hh, MazeRunner.cpp

//----------------------------------------------------------------------------

#include "MazeRunner.hh"

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

int main(int argc, char **argv)
{
  MazeRunner *MR;

  // initialize random number generator

  srand(time(0));

  // initialize

  if (argc == 1)
    MR = new MazeRunner(DEFAULT_ROWS, DEFAULT_COLS);
  else if (argc == 2) {
    if (!strcmp(argv[1], "-blue")) 
      MR = new MazeRunner(DEFAULT_ROWS, DEFAULT_COLS, STANDARD_BLUE_GHOST);
    else
      MR = new MazeRunner(argv[1]);
  }
  else if (argc == 3) {
    if (!strcmp(argv[1], "-blue")) 
      MR = new MazeRunner(argv[2], STANDARD_BLUE_GHOST);
    else
      MR = new MazeRunner(atoi(argv[1]), atoi(argv[2]));
  }
  else if (argc == 4) {
    if (!strcmp(argv[1], "-blue")) 
      MR = new MazeRunner(atoi(argv[2]), atoi(argv[3]), STANDARD_BLUE_GHOST);
    else {
      cout << "Unsupported command-line flag(s)\n";
      exit(1);
    }
  }
  else {
    cout << "Unsupported command-line flag(s)\n";
    exit(1);
  }

  // run

  MR->main_loop();

  // done

  return 1;
}

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
